POST /v1/webhook-events/{eventId}/replay
Replay a webhook event by re-processing its stored payload
POST
/v1/webhook-events/{eventId}/replay
Replay a webhook event by re-processing its stored payload
Path Parameters
eventId
string
required
path
Webhook Event ID
Request Body
application/jsonResponses
200
OK
application/jsonaction
string
"triggered", "resumed", "skipped"
eventId
string
Webhook event ID for audit
reason
string
If skipped, the reason
runIds
string[]
Multiple if fan-out (platform) or single (generic)
Array of:
404
Event not found
curl -X POST 'https://api.example.com/v1/webhook-events/string/replay' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/webhook-events/string/replay', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/webhook-events/string/replay', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/webhook-events/string/replay", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "action": "<string>", "eventId": "<string>", "reason": "<string>", "runIds": [ "<string>" ]}
API Playground
Try this endpoint
POST
/v1/webhook-events/{eventId}/replay
